CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Community Contributions

[swak4Foam] swak4Foam compiling issues for tab.hh dependencies

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   December 29, 2019, 16:07
Default swak4Foam compiling issues for tab.hh dependencies
  #1
New Member
 
Jeff
Join Date: Sep 2018
Location: UNLV
Posts: 4
Rep Power: 3
stewaj5 is on a distinguished road
This is related to my post #8 in [foam-extend.org] NEW: Installation guide for foam-extend 4.1 on OpenFoamWiki.

I have not been successful for the past week compiling swak4Foam. In each case, I receive fatal errors that tab.hh dependencies could not be found. This same error occurs for Openfoam 5, Openfoam 6, and OpenFoam-v1812 on Ubuntu 18.04. It also occurs in a CentOS environment with OpenFOAM-v1906.

I've downloaded swak4Foam from the mercurial https://sourceforge.net/p/openfoam-e.../develop/tree/ as recommended in the recent swak4Foam tweet.
hg clone http://hg.code.sf.net/p/openfoam-extend/swak4Foam openfoam-extend-swak4Foam

I've run 'hg update develop' and ran the commands:
./Allwclean
./maintainanceScripts/compileRequirements.sh
./Allwmake 2>&1 | tee AllwmakeOF5.txt

I've separately followed the directions in the thread Installation Problem with OF 6 version post #3 trying first to compile from the commands
./Allwclean
./maintainanceScripts/compileRequirements.sh
./Allwmake 2>&1 | tee AllwmakeOF5.txt

and then attempting ./Allwclean, ./AllwmakeAll.

A sample log of the compile (stripped to fit the size requirements) is attached here for Openfoam 5 with the tweeted mercurial download. A similar log was included in my post #8 for OpenFOAM-v1906 in CentOS. The errors are the same for each OpenFOAM version and for both swak4Foam mercurial downloads.

Are there any recommendations how to correct this problem for a successful installation?

Do I need to run distroPatches mentioned in http://openfoamwiki.net/index.php/In...g_dependencies ? And how do I run these patch files?

Thank you,
Jeff
Attached Files
File Type: txt AllwmakeOF5.txt (49.3 KB, 2 views)
stewaj5 is offline   Reply With Quote

Old   February 7, 2020, 02:29
Default run ./Allwmake a second time
  #2
New Member
 
Jeff
Join Date: Sep 2018
Location: UNLV
Posts: 4
Rep Power: 3
stewaj5 is on a distinguished road
For others who experience similar errors (compilation ending in "Requirements for Library not satisfied. I see no sense in going on ...") try to run ./Allwmake a second time without running ./Allwclean. swak4Foam compiled successfully for me on the second run of ./Allwmake.
stewaj5 is offline   Reply With Quote

Reply

Tags
openfoam 6, openfoam-5, openfoam-v1812, openfoam-v1906, swak4foam error

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
About UDF compiling issues: 'nmake' Haoyin Shan Fluent UDF and Scheme Programming 15 November 4, 2019 19:05
[swak4Foam] Compiling swak4Foam and sedFoam with OpenFOAM version 5 Akter Uz Zaman OpenFOAM Community Contributions 1 July 28, 2019 06:15
[swak4Foam] [SWAK4FOAM] Problems compiling swak4Foam with OpenFOAM+ v1706 christiank_ucl OpenFOAM Community Contributions 1 July 9, 2019 11:45
[swak4Foam] undefined symbols in .so libraries when compiling swak4foam 0.4.2 on foam extend 4.1 mAlletto OpenFOAM Community Contributions 3 August 29, 2018 07:02
[swak4Foam] compiling swak4foam on an IBM Dataplex running 64-bit RedHat 6.3 jianni OpenFOAM Community Contributions 22 January 5, 2014 17:49


All times are GMT -4. The time now is 10:22.